# Help Us Make Crystal Better

Thanks for your interest in contributing to [Crystal](https://crystal.sh).

I'm excited to announce that as of August 3, 2015; we are ready for collaboration on our core codebase as well as our module codebases:

https://github.com/crystal

I have put my heart and soul into developing Crystal and have enjoyed every minute of it. I truly believe it'll change Code Generation (and programming) forever - but in order to get there, I need your help.

Below are the things we need the most. Feel free to email me at [support@crystal.sh](mailto:support@crystal.sh) if you have any questions and/or feedback.

Thanks again for your help. I know your time is very valuable. I really appreciate every commit, suggestion, feedback and bug report.

Best,
Chris Tate

## What We Need

- **Stars.** One of the easiest ways to help is to star our project. This shows that there is interest for our project and can influence other developers to contribute code.

- **Bug Reports.** Now that there will be more eyes on Crystal, there will likely be issues that are discovered. I will address these issues ASAP.
  - Issues for the [core](ttps://github.com/crystal/crystal) codebase should be reported [here](https://github.com/crystal/crystal/issues).
  - Issues related to specific modules should be reported for their respective repositories which can be found in the sidebar on the module's page (such as https://hub.crystal.sh/handlebars/template).

- **Modules.** Any language, framework and platform can be modularized into a Spec, Schema, Generator, Engine, Helper, Processor, Transformer and/or Injector. So far, I've created all of Crystal's modules which can be found in the [Crystal Hub](https://hub.crystal.sh). All modules are open source and hosted on [GitHub](https://github.com/crystal). Help us improve [php.config](https://hub.crystal.sh/redis/config), [redis.config](https://hub.crystal.sh/redis/config), [sinatra.model](https://hub.crystal.sh/sinatra/model) or any of our other 100+ modules. You can even create your own - for your project or someone else's.

- **Test cases.** Every project needs them. We have them, but after making some major changes, they're no longer useful. Now that our API has been finalized, Crystal is ready for new test cases and we will make sure we keep Crystal backwards-compatible for as long as possible.

- **Documentation.** Our docs are hosted at [https://crystal.readme.io](https://crystal.readme.io). Help us improve them by clicking the "Suggest Edits" link (found on the top-right of each page).

- **Tutorials.** Blogs, videos and more. Tutorials are a great way to learn more about Crystal while helping others in the process.